<?php
namespace WPCommander\Models;

defined( 'ABSPATH' ) || exit;

class UserModel {
    const META_DEFAULT = [
        'folder' => -1, // All items
        'collapsed' => null,
        'sort' => [
            'items' => null
        ]
    ];

    public static function hasAccess() {
        $config = ConfigModel::get();
        $roles = self::getRoles();

        if ( count( array_intersect( $roles, $config['roles'] ) ) ) {
            return true;
        }
        return false;
    }

    public static function getRoles() {
        $user = get_user_by( 'id', get_current_user_id() );
        return $user ? $user->roles : [];
    }

    public static function getMeta( $type ) {
        $user_id = get_current_user_id();
        $user_meta = (array) get_user_meta( $user_id, 'wpcommander_settings', true );
        return isset( $user_meta['types'][$type] ) ? array_replace_recursive( self::META_DEFAULT, $user_meta['types'][$type] ) : self::META_DEFAULT;
    }

    public static function updateMeta( $type, $meta ) {
        $user_id = get_current_user_id();
        $user_meta = (array) get_user_meta( $user_id, 'wpcommander_settings', true );
        $user_meta['types'][$type] = $meta;

        return update_user_meta( $user_id, 'wpcommander_settings', $user_meta );
    }
}