<?php
namespace WPCommander\System;

defined( 'ABSPATH' ) || exit;

use WPCommander\Models\ConfigModel;

class Feedback {
    public function __construct() {
        add_action( 'init', [ $this, 'init' ] );
    }

    public function init() {
        add_filter( 'plugin_action_links_' . WPCOMMANDER_PLUGIN_BASE_NAME, [ $this, 'pluginActionLinks' ], 10, 4);
        add_action( 'admin_footer', [ $this, 'adminFooter' ] );
    }

    public function adminFooter() {
        if ( get_current_screen() && get_current_screen()->base !== 'plugins' ) {
            return;
        }

        $globals = [
            'version' => WPCOMMANDER_PLUGIN_VERSION,
            'token' => ConfigModel::getToken(),
            'api' => [
                'feedback_url' => WPCOMMANDER_FEEDBACK_URL
            ]
        ];

        wp_enqueue_style( 'wpcommander-feedback', WPCOMMANDER_PLUGIN_URL . 'assets/css/feedback.css', [], WPCOMMANDER_PLUGIN_VERSION );
        wp_enqueue_script( 'wpcommander-feedback', WPCOMMANDER_PLUGIN_URL . 'assets/js/feedback.js', ['jquery'], WPCOMMANDER_PLUGIN_VERSION, false );
        wp_localize_script( 'wpcommander-feedback', 'wpcommander_feedback_globals', $globals );

        require_once( WPCOMMANDER_PLUGIN_PATH . '/includes/Views/feedback.php' );
    }

    public function pluginActionLinks($actions) {
        $links = [];
        $links['settings'] = '<a href="' . network_admin_url('options-general.php?page=wpcommander-settings') . '">Settings</a>';

        return array_merge($actions, $links);
    }
}
