<?php
namespace WPCommander\System;

defined( 'ABSPATH' ) || exit;

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

class UpdateChecker {
    private $update_checker;

    public function __construct() {
        $this->update_checker = PucFactory::buildUpdateChecker( 'https://avirtum.com/api/update/wp-commander/', WPCOMMANDER_PLUGIN_FILE, 'wp-commander' );
        $this->update_checker->addHttpRequestArgFilter( [$this, 'httpRequestArgFilter'] );
    }

    public function httpRequestArgFilter( $args ) {
        $args[ 'user-agent' ] = 'WordPress/' . get_bloginfo( 'version' ) . ';' . WPCOMMANDER_PLUGIN_NAME . '/' . WPCOMMANDER_PLUGIN_VERSION . ';' . get_bloginfo( 'language' ) . ';' . get_bloginfo( 'url' ) . ';' . get_bloginfo( 'admin_email' );
        return $args;
    }
}
