<?php
defined( 'ABSPATH' ) || exit;
?>
<div class="wpc-wrap">
    <div class="wpc-app-settings" id="wpc-app-settings" style="display:none">
        <div class="wpc-main-header">
            <div class="wpc-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                    <path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path>
                    <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                    <line x1="12" y1="22.08" x2="12" y2="12"></line>
                </svg>
            </div>
            <div class="wpc-title">WP Commander</div>
            <div class="wpc-tabs">
                <div class="wpc-tab" al-attr.class.wpc-active="App.ui.tabs.fn.is('general')" al-on.click="App.ui.tabs.fn.click($element, 'general')"><span><?php esc_html_e("General", 'wpcommander'); ?></span></div>
                <div class="wpc-tab" al-attr.class.wpc-active="App.ui.tabs.fn.is('tools')" al-on.click="App.ui.tabs.fn.click($element, 'tools')"><span><?php esc_html_e("Tools", 'wpcommander'); ?></span></div>
            </div>
        </div>
        <div class="wpc-main-container">
            <div class="wpc-loader wpc-active" id="wpc-loader">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
            <div class="wpc-ph-panel">
                <div class="wpc-ph-option">
                    <div class="wpc-ph-description">
                        <div class="wpc-ph-title"></div>
                        <div class="wpc-ph-text"></div>
                    </div>
                    <div class="wpc-ph-data">
                        <div class="wpc-ph-control"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-ph-option">
                    <div class="wpc-ph-description">
                        <div class="wpc-ph-title"></div>
                        <div class="wpc-ph-text"></div>
                    </div>
                    <div class="wpc-ph-data">
                        <div class="wpc-ph-control"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-ph-option">
                    <div class="wpc-ph-description">
                        <div class="wpc-ph-title"></div>
                        <div class="wpc-ph-text"></div>
                    </div>
                    <div class="wpc-ph-data">
                        <div class="wpc-ph-control"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-ph-option">
                    <div class="wpc-ph-description">
                        <div class="wpc-ph-title"></div>
                        <div class="wpc-ph-text"></div>
                    </div>
                    <div class="wpc-ph-data">
                        <div class="wpc-ph-control"></div>
                    </div>
                </div>
            </div>
            <div class="wpc-panel" al-attr.class.wpc-active="App.ui.tabs.fn.is('general')">
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Access roles", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Only selected user roles have access to folders.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-checklist">
                            <label al-repeat="role in App.data.roles"><input type="checkbox" value="{{role.id}}" al-on.change="App.fn.config.onAccessRoleChange($event, role)" al-attr.checked="App.fn.config.isAccessRoleChecked(role)">{{role.title}}</label>
                        </div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Folder access type", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Folders can be common, which can be created and edited by all users with appropriate access rights, or personal, in which case users can only have access to their own folder structure.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-checklist">
                            <label al-repeat="type in App.data.folder_access_types"><input type="radio" al-value="type.id" al-radio="App.data.config.folder_access_type">{{type.title}}</label>
                        </div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Default folder color", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Set the default color for all folders that don't have their own colors.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-color-picker-wrap"><div id="wpc-default-folder-color" class="wpc-color-picker"></div></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Disable folder counter", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Disable showing number of items in each folder.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div al-toggle="App.data.config.disable_counter"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Disable ajax refresh", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Disable ajax refresh in list view. Set when there are problems with using plugins along with WP Commander that change the media library list view.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div al-toggle="App.data.config.disable_ajax"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Infinite scrolling", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Enable infinite media library scrolling instead of the 'Load More' button.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div al-toggle="App.data.config.infinite_scrolling"></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Delete fully", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Enable full uninstall mode, the plugin will clear all its options and database tables after clicking the delete link in the WordPress plugins area.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-danger" al-toggle="App.data.config.uninstall_fully"></div>
                    </div>
                </div>
                <div class="wpc-button" al-on.click="App.fn.config.save()"><?php esc_html_e("Save", 'wpcommander'); ?></div>
            </div>
            <div class="wpc-panel" al-attr.class.wpc-active="App.ui.tabs.fn.is('tools')">
                <div class="wpc-option" al-if="App.data.import.plugins">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Import from other plugins", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Import folders and attachments from third-party plugins for the media library.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-importlist">
                            <div class="wpc-importlist-item" al-repeat="plugin in App.data.import.plugins" al-attr.class.wpc-lock="plugin.lock">
                                <div>
                                    <div class="wpc-title">{{plugin.name}} (by {{plugin.author}})</div>
                                    <div class="wpc-description">{{plugin.folders}} folders to import</div>
                                </div>
                                <button class="button button-primary" al-on.click="App.fn.tools.importFromPlugin(plugin.key)"><?php esc_html_e("Import now", 'wpcommander'); ?></button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="wpc-spacer" al-if="App.data.import.plugins"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Export", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("The current folder structure with attachments will be exported to a CSV file.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-button wpc-export" al-on.click="App.fn.tools.export()"><?php esc_html_e("Export Now", 'wpcommander'); ?></div>
                        <a class="wpc-download-file" download="{{App.data.export.filename}}" href="{{App.data.export.url}}" al-if="App.data.export.url"><?php esc_html_e("Download file", 'wpcommander'); ?></a>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Import", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("Select a CSV file with the folder structure and attachments to import.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <input class="wpc-button" type="file" accept=".csv" al-on.change="App.fn.tools.onFileToImportChange($element)">
                        <div al-if="App.data.import.file">
                            <div class="wpc-checklist">
                                <label><input type="checkbox" al-checked="App.data.import.clear"><?php esc_html_e("Clearing all existing folders before import", 'wpcommander'); ?></label>
                                <label><input type="checkbox" al-checked="App.data.import.attachments"><?php esc_html_e("Import attachments", 'wpcommander'); ?></label>
                            </div>
                            <div class="wpc-button wpc-import" al-on.click="App.fn.tools.import()"><?php esc_html_e("Import Now", 'wpcommander'); ?></div>
                        </div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Folder counters recalculation", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("This action will completely recalculate all item counters that are attached to folders.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-button ifs-import" al-on.click="App.fn.tools.recalculate()"><?php esc_html_e("Recalculate", 'wpcommander'); ?></div>
                    </div>
                </div>
                <div class="wpc-spacer"></div>
                <div class="wpc-option">
                    <div class="wpc-description">
                        <div class="wpc-title"><?php esc_html_e("Clear data", 'wpcommander'); ?></div>
                        <div class="wpc-text"><?php esc_html_e("This action will deactivate the plugin WP Commander and delete all its data and settings and return you to the default WordPress state before installing the plugin.", 'wpcommander'); ?></div>
                    </div>
                    <div class="wpc-data">
                        <div class="wpc-button wpc-warning" al-on.click="App.fn.tools.clear()"><?php esc_html_e("Clear now", 'wpcommander'); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
