<?php
defined( 'ABSPATH' ) || exit;
?>
<div id="wpc-toolbar" class="wpc-toolbar">
    <div class="wpc-left-group">
        <div id="wpc-btn-create" class="wpc-btn wpc-active" title="<?php esc_html_e('create folder', 'wpcommander'); ?>">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 21 7 L 10.393 7 C 10.176 7 9.921 6.842 9.824 6.648 L 9 5 L 3.098 4.991 L 3 19 L 21 19 L 21 7 L 21 7 L 21 7 Z  M 1.786 21 L 22.214 21 C 22.648 21 23 20.648 23 20.214 L 23 5.786 C 23 5.352 22.648 5 22.214 5 L 11 5 L 10.176 3.361 C 10.079 3.167 9.824 3.009 9.607 3.009 L 1.786 3.001 C 1.352 3 1 3.352 1 3.786 L 1 20.214 C 1 20.648 1.352 21 1.786 21 L 1.786 21 Z  M 13 12 L 13 9 L 11 9 L 11 12 L 8 12 L 8 14 L 11 14 L 11 17 L 13 17 L 13 14 L 16 14 L 16 12 L 13 12 L 13 12 Z " fill-rule="evenodd"/>
            </svg>
        </div>
    </div>
    <div class="wpc-right-group">
        <div id="wpc-btn-sort" class="wpc-btn wpc-active" title="<?php esc_html_e('sort folder items', 'wpcommander'); ?>">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 5.151 2.731 L 4.971 3.272 L 3.375 7.674 L 3.349 7.674 L 3.349 7.726 L 2.576 9.863 L 2.525 9.992 L 2.525 10.97 L 4.173 10.97 L 4.173 10.275 L 4.508 9.322 L 7.134 9.322 L 7.468 10.275 L 7.468 10.97 L 9.116 10.97 L 9.116 9.992 L 9.065 9.863 L 8.292 7.726 L 8.292 7.674 L 8.267 7.674 L 6.67 3.272 L 6.49 2.731 L 5.151 2.731 Z  M 16.532 2.731 L 16.532 18.128 L 14.394 15.991 L 13.236 17.149 L 16.763 20.703 L 17.355 21.269 L 17.948 20.703 L 21.475 17.149 L 20.316 15.991 L 18.179 18.128 L 18.179 2.731 L 16.532 2.731 Z  M 5.821 5.743 L 6.516 7.674 L 5.125 7.674 L 5.821 5.743 Z  M 2.525 12.618 L 2.525 14.266 L 7.108 14.266 L 2.757 18.617 L 2.525 18.875 L 2.525 20.857 L 9.116 20.857 L 9.116 19.209 L 4.533 19.209 L 8.885 14.858 L 9.116 14.6 L 9.116 12.618 L 2.525 12.618 Z "/>
            </svg>
        </div>
    </div>
</div>

<div id="wpc-notice-create" class="wpc-notice">
    <?php esc_html_e('Click the "Create" button above to add your first folder, then start drag & drop items.', 'wpcommander'); ?>
</div>

<div id="wpc-form-create" class="wpc-form">
    <div class="wpc-header">
        <div class="wpc-title"><?php esc_html_e('Add New Folders', 'wpcommander'); ?></div>
        <div class="wpc-close">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 7.734 6.281 L 6.328 7.688 L 10.609 11.969 L 6.266 16.313 L 7.672 17.719 L 12.016 13.375 L 16.328 17.688 L 17.734 16.281 L 13.422 11.969 L 17.672 7.719 L 16.266 6.313 L 12.016 10.563 L 7.734 6.281 Z " />
            </svg>
        </div>
    </div>
    <div class="wpc-data">
        <div class="wpc-row">
            <input id="wpc-folder-name" class="wpc-text" type="text" placeholder="Folder 1, Folder 2, etc." value="">
            <div class="wpc-color-picker-wrap"><div id="wpc-folder-color" class="wpc-color-picker"></div></div>
        </div>
        <div class="wpc-row">
            <select id="wpc-folder-parent" class="wpc-select"></select>
        </div>
    </div>
    <div class="wpc-footer">
        <div class="wpc-btn wpc-close"><?php esc_html_e('Cancel', 'wpcommander'); ?></div>
        <div class="wpc-btn wpc-submit"><?php esc_html_e('Create', 'wpcommander'); ?></div>
    </div>
</div>

<div id="wpc-form-copy" class="wpc-form">
    <div class="wpc-header">
        <div class="wpc-title"><?php esc_html_e('Duplicate Folder', 'wpcommander'); ?></div>
        <div class="wpc-close">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 7.734 6.281 L 6.328 7.688 L 10.609 11.969 L 6.266 16.313 L 7.672 17.719 L 12.016 13.375 L 16.328 17.688 L 17.734 16.281 L 13.422 11.969 L 17.672 7.719 L 16.266 6.313 L 12.016 10.563 L 7.734 6.281 Z " />
            </svg>
        </div>
    </div>
    <div class="wpc-data">
        <div class="wpc-row">
            <p><?php esc_html_e('Are you sure you want to duplicate the selected folder and all subfolders?', 'wpcommander'); ?>
            <p><?php esc_html_e('Note: all items inside those folders will not be copied to a new destination.', 'wpcommander'); ?></p>
        </div>
        <div class="wpc-row">
            <div>
                <p><?php esc_html_e('Source folder', 'wpcommander'); ?></p>
                <select id="wpc-folder-source" class="wpc-select"></select>
            </div>
        </div>
        <div class="wpc-row">
            <div>
                <p><?php esc_html_e('Destination folder', 'wpcommander'); ?></p>
                <select id="wpc-folder-destination" class="wpc-select"></select>
            </div>
        </div>
    </div>
    <div class="wpc-footer">
        <div class="wpc-btn wpc-close"><?php esc_html_e('Cancel', 'wpcommander'); ?></div>
        <div class="wpc-btn wpc-submit"><?php esc_html_e('Submit', 'wpcommander'); ?></div>
    </div>
</div>

<div id="wpc-form-delete" class="wpc-form">
    <div class="wpc-header">
        <div class="wpc-title"><?php esc_html_e('Delete Folders', 'wpcommander'); ?></div>
        <div class="wpc-close">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 7.734 6.281 L 6.328 7.688 L 10.609 11.969 L 6.266 16.313 L 7.672 17.719 L 12.016 13.375 L 16.328 17.688 L 17.734 16.281 L 13.422 11.969 L 17.672 7.719 L 16.266 6.313 L 12.016 10.563 L 7.734 6.281 Z " />
            </svg>
        </div>
    </div>
    <div class="wpc-data">
        <div class="wpc-row">
            <p><?php esc_html_e('Are you sure you want to delete selected folders and all subfolders?', 'wpcommander'); ?></p>
            <p><?php esc_html_e('Note: all items inside those folders will not be deleted.', 'wpcommander'); ?></p>
        </div>
    </div>
    <div class="wpc-footer">
        <div class="wpc-btn wpc-close"><?php esc_html_e('Cancel', 'wpcommander'); ?></div>
        <div class="wpc-btn wpc-submit wpc-red"><?php esc_html_e('Delete', 'wpcommander'); ?></div>
    </div>
</div>

<div id="wpc-form-sort" class="wpc-form">
    <div class="wpc-header">
        <div class="wpc-title"><?php esc_html_e('Sort Folder Items', 'wpcommander'); ?></div>
        <div class="wpc-close">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 7.734 6.281 L 6.328 7.688 L 10.609 11.969 L 6.266 16.313 L 7.672 17.719 L 12.016 13.375 L 16.328 17.688 L 17.734 16.281 L 13.422 11.969 L 17.672 7.719 L 16.266 6.313 L 12.016 10.563 L 7.734 6.281 Z " />
            </svg>
        </div>
    </div>
    <div class="wpc-data">
        <ul class="wpc-sort-list">
            <li>
                <div class="wpc-sort-title"><?php esc_html_e('By Name', 'wpcommander'); ?></div>
                <div class="wpc-sort-types">
                    <div class="wpc-sort-type" data="name-asc" title="sort by ascending"><span class="dashicons dashicons-arrow-up"></span></div>
                    <div class="wpc-sort-type" data="name-desc" title="sort by descending"><span class="dashicons dashicons-arrow-down"></span></div>
                </div>
            </li>
            <li>
                <div class="wpc-sort-title"><?php esc_html_e('By Date', 'wpcommander'); ?></div>
                <div class="wpc-sort-types">
                    <div class="wpc-sort-type" data="date-asc" title="sort by ascending"><span class="dashicons dashicons-arrow-up"></span></div>
                    <div class="wpc-sort-type" data="date-desc" title="sort by descending"><span class="dashicons dashicons-arrow-down"></span></div>
                </div>
            </li>
            <li>
                <div class="wpc-sort-title"><?php esc_html_e('By Modified', 'wpcommander'); ?></div>
                <div class="wpc-sort-types">
                    <div class="wpc-sort-type" data="mod-asc" title="sort by ascending"><span class="dashicons dashicons-arrow-up"></span></div>
                    <div class="wpc-sort-type" data="mod-desc" title="sort by descending"><span class="dashicons dashicons-arrow-down"></span></div>
                </div>
            </li>
            <li>
                <div class="wpc-sort-title"><?php esc_html_e('By Author', 'wpcommander'); ?></div>
                <div class="wpc-sort-types">
                    <div class="wpc-sort-type" data="author-asc" title="sort by ascending"><span class="dashicons dashicons-arrow-up"></span></div>
                    <div class="wpc-sort-type" data="author-desc" title="sort by descending"><span class="dashicons dashicons-arrow-down"></span></div>
                </div>
            </li>
        </ul>
    </div>
</div>

<div id="wpc-panel" class="wpc-panel">
    <div id="wpc-predefined-tree" class="wpc-predefined-tree">
        <div class="wpc-tree-nodes">
            <div class="wpc-tree-node">
                <div class="wpc-tree-item wpc-folder" data-id="-1">
                    <div class="wpc-tree-icon">
                        <svg viewBox="0 0 24 24">
                            <path d=" M 1.786 21 L 22.214 21 C 22.648 21 23 20.648 23 20.214 L 23 5.786 C 23 5.352 22.648 5 22.214 5 L 11 5 L 10.176 3.361 C 10.079 3.167 9.824 3.009 9.607 3.009 L 1.786 3.001 C 1.352 3 1 3.352 1 3.786 L 1 20.214 C 1 20.648 1.352 21 1.786 21 Z " fill="currentColor" style="filter:invert(0.05) brightness(0.8)"/>
                            <path d=" M 1.786 21 L 22.214 21 C 22.648 21 23 20.648 23 20.214 L 23 5.786 C 23 5.352 22.648 5 22.214 5 L 11 5 L 10 7 L 1 7 L 1 20.214 C 1 20.648 1.352 21 1.786 21 Z " fill="currentColor" style="filter:invert(0.05)"/>
                        </svg>
                    </div>
                    <div class="wpc-tree-title"><?php esc_html_e('All items', 'wpcommander'); ?></div>
                    <div class="wpc-tree-label">0</div>
                </div>
            </div>
            <div class="wpc-tree-node">
                <div class="wpc-tree-item wpc-folder" data-id="-2">
                    <div class="wpc-tree-icon">
                        <svg viewBox="0 0 24 24">
                            <path d=" M 1.786 21 L 22.214 21 C 22.648 21 23 20.648 23 20.214 L 23 5.786 C 23 5.352 22.648 5 22.214 5 L 11 5 L 10.176 3.361 C 10.079 3.167 9.824 3.009 9.607 3.009 L 1.786 3.001 C 1.352 3 1 3.352 1 3.786 L 1 20.214 C 1 20.648 1.352 21 1.786 21 Z " fill="currentColor" style="filter:invert(0.05) brightness(0.8)"/>
                            <path d=" M 1.786 21 L 22.214 21 C 22.648 21 23 20.648 23 20.214 L 23 5.786 C 23 5.352 22.648 5 22.214 5 L 11 5 L 10 7 L 1 7 L 1 20.214 C 1 20.648 1.352 21 1.786 21 Z " fill="currentColor" style="filter:invert(0.05)"/>
                        </svg>
                    </div>
                    <div class="wpc-tree-title"><?php esc_html_e('Uncategorized', 'wpcommander'); ?></div>
                    <div class="wpc-tree-label">0</div>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="wpc-panel-tree" class="wpc-panel-tree">
    <div id="wpc-search" class="wpc-search">
        <input id="wpc-search-input" class="wpc-search-input" placeholder="<?php esc_html_e('Search folders...', 'wpcommander'); ?>" type="text">
        <div class="wpc-search-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 18.341 15.876 L 22.138 19.69 L 20.676 21.041 L 20.676 21.041 L 16.941 17.29 C 15.58 18.361 13.864 19 12 19 C 7.585 19 4 15.415 4 11 L 4 11 C 4 6.585 7.585 3 12 3 C 16.415 3 20 6.585 20 11 C 20 12.835 19.381 14.526 18.341 15.876 Z  M 6 11 C 6 7.689 8.689 5 12 5 C 15.311 5 18 7.689 18 11 C 18 14.311 15.311 17 12 17 C 8.689 17 6 14.311 6 11 L 6 11 Z " fill-rule="evenodd" fill="currentColor"/>
            </svg>
        </div>
        <div id="wpc-search-clear" class="wpc-search-clear">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                <path d=" M 7.734 6.281 L 6.328 7.688 L 10.609 11.969 L 6.266 16.313 L 7.672 17.719 L 12.016 13.375 L 16.328 17.688 L 17.734 16.281 L 13.422 11.969 L 17.672 7.719 L 16.266 6.313 L 12.016 10.563 L 7.734 6.281 Z " fill="currentColor" />
            </svg>
        </div>
    </div>
    <div id="wpc-tree" class="wpc-tree"></div>
</div>
