<?php
if( !defined( 'WP_UNINSTALL_PLUGIN' ) ) {
    exit;
}

define( 'WPCOMMANDER_PLUGIN_VERSION', '2.0' );
define( 'WPCOMMANDER_PLUGIN_DB_TABLE_PREFIX', 'wpcommander' );

$version = get_option( 'wpcommander_version' );
$config = get_option( 'wpcommander_config' ) ;

if ( $config ) {
    if ( array_key_exists( 'uninstall_fully', $config ) && $config['uninstall_fully'] && version_compare( $version, WPCOMMANDER_PLUGIN_VERSION, '>=' ) ) {
        $options = [
            'wpcommander_dismiss_first_use_notification',
            'wpcommander_db_version',
            'wpcommander_version',
            'wpcommander_config'
        ];

        foreach( $options as $option ) {
            delete_option( $option );
        }

        global $wpdb;
        $tables = [
            $wpdb->prefix . WPCOMMANDER_PLUGIN_DB_TABLE_PREFIX . '_folders',
            $wpdb->prefix . WPCOMMANDER_PLUGIN_DB_TABLE_PREFIX . '_attachments'
        ];

        foreach($tables as $table) {
            $wpdb->query( "DROP TABLE IF EXISTS {$table}" );
        }
    }
}